uurate(1)

NAME
uurate - Report Taylor UUCP statistics

SYNOPSIS
uurate [ -acdefhipqtvx ] [ -s host ] [ -I config ][ logfile... ]

or simply,

uurate

for a traffic summary report.

DESCRIPTION
The uurate command provides tabular summary reports on the operation of the Taylor UUCP system. Data is taken from the currently active log files, standard input, or from a list of log files given on the command line. Output is in the form of tabular reports summarizing call, file transfer, and command execution (uuxqt) activity.

The log and stats files given to uurate must be in the ``Taylor'' or ``V2'' format. Also, note that call and file transfer activities are logged in separate files, nominally called Log and Stats, respectively. For reports to be meaningful, the Log and Stats files should be given to uurate together, and cover the same time period.

If neither the -i or -I option nor any logfile options are given, uurate defaults to taking its input from the current Taylor Log and Stats files. The names are either as defined at compilation time, in case there is no config file, or taken from the arguments of the keywords logfile and statfile when encountered in the config file. This is the normal mode of operation.

The reporting options described below can be used to select the set of reports desired. If no options are given, a summary report is displayed. If there is no relevant data for a particular report or host, that report or host will be suppressed.

OPTIONS
The following options may be given to uurate:

-a  All reports. Identical to -cfexp.

-c  Report on call statistics. Requires data from a Log file.

-d  will print the default config file to be used.

-e  Report on efficiency (total connect time versus time spent transferring files). Requires data from both a Log and a Stats file, and they must span the same time period.

-f  Report on file transfer statistics. Requires data from a Stats file.

-h  will print a short help information.

-i  tells uurate to read any logfile information from standard input.

-p  report on protocol errors and packets sent/received

-q  do not print the Environment information,

-t  All reports. Identical to -cfexp. plus the Compact summary.

-v  will print the version id string

-x  Report on remote execution requests (e.g., rmail). Requires data from a Log file.

-s host
    Restrict report output to host.

-I config file
    an alternate config file may be passed by this option.

DESCRIPTION OF REPORTS
There are four reports available: the call, file transfer, efficiency, and remote execution reports. Each may be selected by a command line option. All reports may be selected via the options -a or -t. If no report selection options are given, uurate displays a compact traffic summary report (see below).

  Summary report
If no report options are given, uurate displays a traffic summary report. This is particularly useful in daily cron jobs which report on errors and the like. Traffic statistics for each active system is reported on a single line. If more than one system was active, a 'totals' line is included at the end of the report.

  Protocol packet report
The protocol report gives statistics on min/max packet and window sizes used during transmission. Further on data is collected for packets transferred. The data is collected for each host/protocol type. The fields are described below:

site	UUCP node name of neighbor host system,
typ	Type of protocol used
Min	minimum packet/window size
Max	maximum packet/window size
sent	packets sent
resent	packets resent
received	packets received

  Protocol error report
The protocol report gives statistics on packet errors during transmission. The data is collected for each host/protocol type. The fields are described below:

site	UUCP node name of neighbor host system,
typ	Type of protocol used
header	number of errors in header
checksum	number of checksum errors
order	number of order errors
resent	number packets resent
rem-reject	packets that the remote site rejected

  Call report
The call report gives statistics on inbound and outbound calls for each active host system. The fields are described below:

site	UUCP node name of neighbor host system,
succ.	Successful calls attempted to/by that system,
failed	Failed calls to/by that system,
total	Total calls to/by that system,
time	Collected connect time (hh:mm:ss) for all calls,

  File transfer reports
The file transfer reports give statistics on inbound and outbound file transfers (regardless of which end initiated the transfer) for each active host system. There are two reports, one for files sent to the remote system and one for files received from the remote system. The fields in each report are described below:

site	  UUCP node name of neighbor host system
files	  Number of files transferred
Bytes/1000	  Total size of files transferred given in thousands
xfr time	  Total time (hh:mm:ss) spent on transfer the files,
B/sec	  Average transfer rate (bytes/sec).

  Efficiency report
The efficiency report describes the utilization of the links to each active remote system, giving the ratio of total connect time to the time spent actually transferring files. The fields are described below:

site	 UUCP node name of neighbor host system
connected	 Total connect time for that system (turn-around)
xfr time	 Total file transfer time for that system
overhead	 Connect time not used to transfer files,
eff. %	 Ratio of connect time to transfer time (xfer*100/conn)

  Command executions report
The remote execution report describes remotely requested command executions from each active host system, like rmail and rnews. Up to eight command names are displayed. If there are more, the rest will be put together in an `Misc.' column. The fields are described below:

site	  UUCP node name of neighbor host system,
(command)	  Number of requests of this command,
Misc.	  Number of other requests, if more than eight.

  FILES
The file names below may be changed at compilation time or by the configuration file, so these are only approximations.
/usr/spool/uucp/Log	V2/Taylor format call/execution log,
/usr/spool/uucp/Stats	V2/Taylor format file transfer log.

  SEE ALSO
uucico(8)

  BUGS
Does not understand other than V2/TAYLOR logging formats. Anyone care to volunteer to add the not mentioned?

Scanning the arguments of logfile and statfile keywords in config should handle lines continued with the backslash as well.

The failfm field in the call statistics table is always zero, unless something really serious happens, e.g. uucico got SIGQUIT or the whole system crashed.

  AUTHOR
Robert B. Denny (denny@alisa.com).
Loosely based on the DECUS UUCP program uurate by Mark Pizzolato.
Modified by Stephan Niemz (stephan@sunlab.ka.sub.org).
Modified by Klaus Dahlenburg (kdburg@incoahe.hanse.de).